pondělí 28. června 2010

.kterak jsem rozchodila internetové bankovnictví

Nedávno jsem tu nadávala nad tím, že nemůžu v linuxovém prostředí rozjet internetové bankovnictví od KB. V prosinci mi totiž chcípl disk s Win XP, kde byl i požadovaný bezpečnostní certifikát, tudíž šel do háje i přístup k bankovní aplikaci.

Při novoroční snaze projít znovu testem kompatibility se zatvrzelé webové detekovadlo KB nechtělo smířit s tím, že operačním systémem je Linux. A též s tím, že nemám Adobe Reader, SUN Java (TM) a ty další nesmysle. Byly tam samé červené křížky, to jakože "you cannot pass!"

Dnes jsem vstala a zničehonic jsem si řekla, že už mě to štve! Prostě dnes půjdu do KB, nechám si ten certifikát vystavit znovu a nějak se to pořeší. Když existují lidé, co to pod Linuxem rozběhali, proč by to nevyšlo mně! Když jsem se naposled - někdy začátkem roku - pokoušela projít tou detekcí systému (říkají tomu "Je Váš počítač vyhovující?", achacha :)), donutilo mě to nainstalovat nějaké balíky SUN Javy (TM), ale pak mě to už dál nepustilo. Nepamatuju si tedy, jaký byl zdroj, protože už je to dlouho a na stránkách KB jsem to už nenašla, je to mor! Ty podstatné balíky se ale zřejmě jmenují sun-java6-bin, sun-java6-jre a sun-java6-plugin (normální multiverse repozitář z cz.archive.ubuntu.com, tedy alespoň myslím - nic jiného od SUN Java (TM) v Synapticu nevidím).


Jako jednu z podmínek pro běh aplikace na daném PC je uváděna přítomnost Adobe Reader. Není to pravda! Defaultním prohlížečem je pořád evince a přesto mi to prošlo! Mezi posledními pokusy a dneškem byly jen asi dvě nebo tři aktualizace Firefoxu. Musím přiznat, že aktualizuju tak jednou za uherský měsíc a rozhodně ne pokaždé, když mi zařve update-notifier, páč jsem línej. Ale pravděpodobně to mělo taky vliv, asi tam chyběly nějaké důležité kousky.

Update a restart všeho se někdy hodí. Aktuálně používám FF verze 3.0.18, zatímco v řádečku parametrů, jež jsou pro běh aplikace doporučené, vidím všude 3.6.x. A přesto je to funkční. V nastavení Firefoxu jsem kdysi též všelijak laborovala s různými nastaveními cookies. Takže další místo, kde může být zakopaná liška. Tedy promiňte, panda červená.

Když jsem tedy dnes ráno jen tak pro srandu spustila onu hustodémonsky krutopřísnou zdlouhavou detekci "potřebných" nesmyslů v počítači, zas jsem počítala s failem. A ono ne. Moje konfigurace byla shledána vyhovující. Chá! (#WIN! Tedy vlastně - #LIN!!!)


Po práci legraci, tedy, lépe řečeno, šup do banky pro podklady k vygenerování nového přístupového certifikátu. Následně hupky dupky domů čekat na načítání Javy :) Dámy a pánové, šestkrát hurá, protože to funguje. Bankovní převody, Aukro a lepší pocit na mě čekají! Hned za dalším rohem! (Spolu s bohatstvím, slávou a princem na filajové motorce, áááno.)

Z "neobvyklých" operačních systémů je dnes Komerčkou oficiálně podporován pouze Linux Ubuntu (na webu výslovně uvádějí 9.10 Karmic, ale já mám stále 9.04 Zajdalena) a MAC OS X 10.6, což ostře kontrastuje se širokou škálou podporovaných verzí Windows. Java nesmysl, který se hlásí o slovo při každém přihlášení, je velmi zpomalený, jeho dialog pro výběr souboru z disku je vyloženě vošklivej a žere to mnohem víc CPU, než je slušné, ale je to FUNKČNÍ. A to znamená, milí čtenáři, že pohádka o tučňáčkovi má zase jednou dobrý konec :)

3 komentáře:

  1. No a teď pro radost všech rozešli nějaké koláče :-D

    OdpovědětVymazat
  2. Hehe, oni asi zrusili to testovani PDF prohlizece:-) Ja ho musel kvuli tomu testu instalovat, ale zrejme pochopili, ze na Linuxu existuji i alternativni produkty:-)

    OdpovědětVymazat
  3. Any Key :D Jsem málem spadl pod stůl smíchy, když jsem ten obrázek uviděl :D

    OdpovědětVymazat